[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [p2-dev] how to mirror an update-site and dependencies using p2

Hi Nick, list,

Just after sending the last e-mail, I've took another look at content.xml
m2eclipse update-site's and found some lines with:

---------
 <required namespace="osgi.bundle" name="org.eclipse.core.runtime" range="0.0.0"/>
 <required namespace="osgi.bundle" name="org.eclipse.core.resources" range="0.0.0"/>
 <required namespace="osgi.bundle" name="org.eclipse.search" range="0.0.0"/>
 <required namespace="osgi.bundle" name="org.eclipse.ui" range="0.0.0"/>
 <required namespace="osgi.bundle" name="org.eclipse.ui.ide" range="0.0.0"/>
 <required namespace="osgi.bundle" name="org.eclipse.ui.editors" range="0.0.0"/>
 <required namespace="osgi.bundle" name="org.eclipse.ui.forms" range="0.0.0"/>
 <required namespace="osgi.bundle" name="org.eclipse.ui.workbench" range="0.0.0"/>
 <required namespace="osgi.bundle" name="org.eclipse.jface.text" range="0.0.0"/>
 <required namespace="osgi.bundle" name="org.eclipse.jdt.core" range="0.0.0"/>
 <required namespace="osgi.bundle" name="org.eclipse.draw2d" range="0.0.0"/>
 <required namespace="osgi.bundle" name="org.eclipse.zest.core" range="0.0.0"/>
 <required namespace="osgi.bundle" name="org.eclipse.zest.layouts" range="0.0.0"/>
 <required namespace="osgi.bundle" name="org.eclipse.wst.sse.ui" range="0.0.0"/>
 <required namespace="osgi.bundle" name="org.eclipse.wst.common.emf" range="0.0.0"/>
 <required namespace="osgi.bundle" name="org.eclipse.wst.sse.core" range="0.0.0"/>
 <required namespace="osgi.bundle" name="org.eclipse.wst.xml.core" range="0.0.0"/>
 <required namespace="osgi.bundle" name="org.eclipse.emf.ecore.edit" range="0.0.0"/>
 <required namespace="osgi.bundle" name="org.eclipse.emf.edit.ui" range="0.0.0" optional="true"/>
--------

Is these where did you got your repository location dependencies Nick? 

Note that I'm using m2eclipse's content.xml, because I couldn't get the svnkit content.xml.

Thanks

LEslie

Em Wed, Apr 28, 2010 at 12:06:54PM -0400, Nick Boldt escreveu:
| Date: Wed, 28 Apr 2010 12:06:54 -0400
| From: Nick Boldt <nickboldt@xxxxxxxxx>
| To: p2-dev@xxxxxxxxxxx
| Subject: Re: [p2-dev] how to mirror an update-site and dependencies using
| 	p2
| Reply-To: P2 developer discussions <p2-dev@xxxxxxxxxxx>
| 
> http://www.google.com/support/forum/p/apps-apis/thread?tid=06aff7dfd9442aa0&hl=en
>
> "Be sure not to leave any other character in front of:
> <?xml version='1.0' encoding='utf-8'?>
>
> I got this error while trying to post an XML with an carriage return in  
> front of XML"
>
> Does that help?
>
> On 04/22/2010 04:41 PM, Leslie H. Watter wrote:
>> The processing instruction target matching "[xX][mM][lL]" is not allowed.
>
> -- 
> Nick Boldt :: http://nick.divbyzero.com
> Release Engineer :: Eclipse Modeling & Dash Athena
> _______________________________________________
> p2-dev mailing list
> p2-dev@xxxxxxxxxxx
> https://dev.eclipse.org/mailman/listinfo/p2-dev
>) :-- final da mensagem Re: [p2-dev] how to mirror an update-site and dependencies using p2 de Nick Boldt <nickboldt@xxxxxxxxx> --: